Loading...
Searching...
No Matches
gridfire::reaction::RateCoefficientSet Struct Reference

Holds the seven coefficients for the REACLIB rate equation. More...

`#include <reaction.h>`

## Public Attributes

double | a0
| Coefficient a0.
double | a1
| Coefficient a1.
double | a2
| Coefficient a2.
double | a3
| Coefficient a3.
double | a4
| Coefficient a4.
double | a5
| Coefficient a5.
double | a6
| Coefficient a6.

## Friends

std::ostream & | operator<< (std::ostream &os, const RateCoefficientSet &r)
| Overloads the stream insertion operator for easy printing.

## Detailed Description

Holds the seven coefficients for the REACLIB rate equation.

This struct stores the parameters (a0-a6) used to calculate reaction rates as a function of temperature.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const RateCoefficientSet & | r )

friend

Overloads the stream insertion operator for easy printing.

Parameters

  os | The output stream.
  r | The RateCoefficientSet to print.

Returns
  The output stream.

## Member Data Documentation

## a0

double gridfire::reaction::RateCoefficientSet::a0

Coefficient a0.

## a1

double gridfire::reaction::RateCoefficientSet::a1

Coefficient a1.

## a2

double gridfire::reaction::RateCoefficientSet::a2

Coefficient a2.

## a3

double gridfire::reaction::RateCoefficientSet::a3

Coefficient a3.

## a4

double gridfire::reaction::RateCoefficientSet::a4

Coefficient a4.

## a5

double gridfire::reaction::RateCoefficientSet::a5

Coefficient a5.

## a6

double gridfire::reaction::RateCoefficientSet::a6

Coefficient a6.

The documentation for this struct was generated from the following file:

- src/include/gridfire/reaction/reaction.h